import request from '../../utils/request'

export function getHuiZhenData(startTime, endTime, history) {
    return request({
        url: '/huiZhen/getHuiZhenData',
        method: 'get',
        params: {startTime, endTime, history},
    })
}

export function getHuanZheXinXi(admissTimes, reqTimes, inpatientNo) {
    return request({
        url: '/huiZhen/getHuanZheXinXi',
        method: 'get',
        params: {admissTimes, reqTimes, inpatientNo},
    })
}

export function wanChenHuiZhen(data) {
    return request({
        url: '/huiZhen/wanChenHuiZhen',
        method: 'post',
        data,
    })
}

export function getDeptName(deptCode) {
    return request({
        url: '/huiZhen/getDeptName',
        method: 'get',
        params: {deptCode},
    })
}
